<?php
$lang['titulo'] = 'Revisando la Accesibilidad con Estilo';
$lang['aviso'] = '';
$lang['tit_resumen'] = 'Resumen del anlisis automtico';
$lang['tit_pauta'] = 'Resultados de la directriz %d';
$lang['tit_priori'] = 'Resultados de los puntos de prioridad %s';
$lang['bc_inicio'] = 'Inicio';
$lang['bc_resumen'] = 'Resumen';
$lang['bc_pauta'] = 'Directriz %d';
$lang['bc_priori'] = 'Prioridad %s';
$lang['bc_info'] = 'Imprimir informe';
$lang['bc_error'] = 'Error';
$lang['logo_tit'] = 'Inicio.';
$lang['logo_alt'] = 'Hera.';
$lang['frm_url'] = 'Pgina:';
$lang['frm_boton'] = 'Revisar';
$lang['frm_boton2'] = 'Analizar nuevamente';
$lang['tit_pag_orig'] = 'Ver pgina original en nueva ventana.';
$lang['alt_pag_orig'] = 'Pgina original.';
$lang['tit_cod_pag'] = 'Ver cdigo de la pgina, en nueva ventana.';
$lang['alt_cod_pag'] = 'Cdigo de la pgina.';
$lang['falta_url'] = 'falta la direccin de la pgina.';
$lang['file_error'] = 'no es posible leer la pgina.';
$lang['page_error'] = 'no es posible revisar la pgina.';
$lang['scheme_no'] = 'el protocolo "%s" no est soportado.';
$lang['paciencia'] = 'El anlisis de pginas complejas puede tomar varios segundos. Sea paciente.';
$lang['err_body_a'] = 'La pgina contiene %d elemento/s &lt;body&gt;.';
$lang['err_body_b'] = 'La pgina no contiene el elemento &lt;body&gt;.';
$lang['err_body_c'] = 'Esta situacin puede afectar la exactitud del anlisis automtico y las indicaciones incluidas en las herramientas de revisin manual.';
$lang['frame_aviso'] = 'Esta pgina divide el rea de visualizacin en %d marcos. En cada marco se muestra un documento, de modo que es necesario revisar tambin cada una de estas pginas:';
$lang['frame_aviso2'] = '(<strong>Nota:</strong> advierta que algunos puntos de control quizs no resulten aplicables a una pgina de marcos.)';
$lang['db_no_err'] = 'Los datos enviados se registraron correctamente.';
$lang['db_err'] = 'Los datos enviados no se registraron. Si el problema persiste, por favor, avisa al administrador.';
$lang['res_summary'] = 'Puntos correctos, incorrectos, a revisar y no aplicables, agrupados por prioridades.';
$lang['res_caption'] = 'Estado de los puntos de control';
$lang['res_th_a'] = 'Prioridad';
$lang['res_th_b'] = 'Bien';
$lang['res_th_c'] = 'Verificar';
$lang['res_th_d'] = 'Mal';
$lang['res_th_e'] = '<abbr title="No aplicable">N/A</abbr>';
$lang['res_th_f'] = 'Parcial';
$lang['res_th_g'] = 'No s';
$lang['res_alt_A'] = 'WCAG 1.0 - Prioridad 1.';
$lang['res_alt_AA'] = 'WCAG 1.0 - Prioridad 2.';
$lang['res_alt_AAA'] = 'WCAG 1.0 - Prioridad 3.';
$lang['res_tit_b'] = 'Puntos correctos de prioridad';
$lang['res_tit_c'] = 'Puntos a verificar de prioridad';
$lang['res_tit_d'] = 'Puntos incorrectos de prioridad';
$lang['res_tit_e'] = 'Puntos no aplicables de prioridad';
$lang['res_tit_f'] = 'Puntos parciales de prioridad';
$lang['res_tit_g'] = 'Puntos sin resolver de prioridad';
$lang['ico_tit_info'] = 'Escribir informe.';
$lang['ico_alt_info'] = 'Informes.';
$lang['ico_tit_res'] = 'Resumen de resultados.';
$lang['ico_alt_res'] = 'Resumen.';
$lang['ico_tit_man1'] = 'Ocultar ayuda.';
$lang['ico_tit_man2'] = 'Mostrar ayuda.';
$lang['ico_alt_man'] = 'Ayuda.';
$lang['ico_tit_form1'] = 'Ocultar formulario de resultados.';
$lang['ico_tit_form2'] = 'Mostrar formulario de resultados.';
$lang['ico_alt_form'] = 'Formulario.';
$lang['ico_tit_pie'] = 'Volver al inicio de la pgina.';
$lang['ico_alt_pie'] = 'Sidar, pgina principal. [logotipo de Sidar]';
$lang['ico_alt_logo'] = 'Volver.';
$lang['por'] = 'Desarrollo:';
$lang['pauta_sin'] = 'Directriz';
$lang['pauta_pl'] = 'Directrices';
$lang['prioridad'] = 'Prioridad';
$lang['res_h2_b'] = 'puntos correctos';
$lang['res_h2_c'] = 'puntos a verificar';
$lang['res_h2_d'] = 'puntos con errores';
$lang['res_h2_e'] = 'puntos no aplicables';
$lang['res_h2_f'] = 'puntos parciales';
$lang['res_h2_g'] = 'puntos sin resolver';
$lang['form_leg_res'] = 'Enviar';
$lang['form_lbl_com'] = 'Comentario general:';
$lang['form_lbl_rev'] = 'Revisor:';
$lang['form_btn_res'] = 'Anotar resultados';
$lang['dd_tit_blq'] = 'Texto del punto %s';
$lang['dd_txt_hlp'] = 'Ayuda punto %s';
$lang['dt_txt'] = 'Punto %s - Resultado: %s';
$lang['dt_alt_ico'] = 'Resultado automtico.';
$lang['dt_tit_ico'] = 'El resultado automtico era %s.';
$lang['dd_txt_man'] = 'Verificacin manual';
$lang['dd_alt_ico_man'] = 'Comentario';
$lang['dd_alt_ico_man2'] = 'Verificado';
$lang['dd_tit_instruc'] = 'Instrucciones sobre %s';
$lang['dd_tit_instruc2'] = 'Ocultar instrucciones.';
$lang['dd_alt_instruc'] = 'Instrucciones.';
$lang['dd_tit_validator'] = 'Validar el cdigo.';
$lang['dd_alt_validator'] = 'Validador W3C.';
$lang['dd_tit_css'] = 'Validar las CSS.';
$lang['dd_alt_css'] = 'Validador CSS.';
$lang['dd_tit_contraste'] = 'Verificar contraste de colores.';
$lang['dd_alt_contraste'] = 'Contraste de color.';
$lang['dd_tit_code'] = 'Ver en el cdigo de la pgina.';
$lang['dd_alt_code'] = 'Cdigo.';
$lang['dd_tit_page'] = 'Ver en la pgina.';
$lang['dd_alt_page'] = 'Pgina.';
$lang['result_pass'] = 'correcto';
$lang['result_fail'] = 'incorrecto';
$lang['result_parcial'] = 'parcial';
$lang['result_cannotTell'] = 'no s';
$lang['result_notApplicable'] = 'no aplicable';
$lang['result_notTested'] = 'a verificar';
$lang['dd_txt_ins'] = 'Instrucciones:';
$lang['dd_txt_ins_close'] = 'Cerrar instrucciones';
$lang['form_legend'] = 'Resultado del punto %s';
$lang['form_txtarea'] = 'Comentarios?';
$lang['form_aviso'] = 'Recuerde comprobar todos los items del punto antes de modificar su resultado.';
$lang['ico_hera_acc'] = 'Conforme WCAG 1.0 Nivel %s - Revisado con HERA.';
$lang['ico_alt_aviso'] = 'Aviso.';
$lang['nota_uri'] = 'Nota: la URI que proporcion, &lt;%s&gt;, lleva a &lt;%s&gt;.';
$lang['nota_meta'] = 'La URI &lt;%s&gt; realiza un re-direccionamiento a &lt;%s&gt; mediante un elemento &lt;meta&gt;.';
$lang['nota_redirect'] = 'Se desactivar &lt;meta http-equiv="refresh"...&gt; para evitar el redireccionamiento automtico de la pgina a revisar.';
$lang['nota_refresh'] = 'Se desactivar &lt;meta http-equiv="refresh"...&gt; para evitar el refresco automtico de la pgina a revisar.';
$lang['nota_scripts'] = 'Tenga en cuenta, al revisar cada punto, que los scripts pueden generar contenidos dinmicos que merecen las mismas consideraciones que los contenidos estticos.';
$lang['h2_sumario'] = 'Sumario';
$lang['li_total'] = '<em>Total</em>: %d elementos';
$lang['li_tiempo'] = '<em>Anlisis automtico</em>: %d segundos';
$lang['li_error'] = 'Errores';
$lang['li_error_vs'] = '%d errores';
$lang['li_error_no'] = 'Ninguno';
$lang['li_manual'] = 'A verificar manualmente';
$lang['li_manual_vs'] = '%d puntos';
$lang['li_manual_no'] = 'Nada';
$lang['li_autor'] = 'Revisor';
$lang['li_autor_no'] = '(desconocido)';
$lang['h3_nav_res'] = 'Navegar por resultados';
$lang['p_nav_res'] = 'Utilice los enlaces de la tabla para revisar manualmente cada uno de los puntos o comprobar los resultados obtenidos en el anlisis automtico.';
$lang['h3_nav_pautas'] = 'Navegar por directrices';
$lang['p_nav_pautas'] = 'Utilice los enlaces para ver los puntos correspondientes a cada pauta de accesibilidad. Se muestran todos los puntos, independientemente de los resultados obtenidos en el anlisis automtico.';
$lang['li_nav_pautas'] = 'Pauta %d';
$lang['info_leg_autor'] = 'Datos del revisor';
$lang['info_input_name'] = 'Nombre';
$lang['info_input_mail'] = 'E-mail';
$lang['info_leg_info'] = 'Datos del informe';
$lang['info_input_title'] = 'Ttulo';
$lang['info_input_coment'] = 'Comentario';
$lang['info_leg_incluir'] = 'Incluir los puntos con estos resultados';
$lang['info_leg_html'] = 'Informe HTML';
$lang['info_btn_html'] = 'Ver el informe HTML';
$lang['info_btn_html2'] = 'Descargar el informe HTML';
$lang['info_leg_rdf'] = 'Informe RDF';
$lang['info_btn_rdf'] = 'Ver el informe RDF';
$lang['info_btn_rdf2'] = 'Descargar el informe RDF';
$lang['info_leg_pdf'] = 'Informe PDF';
$lang['info_btn_pdf'] = 'Ver el informe PDF';
$lang['info_txt_pdf'] = 'Gracias a Olivier Plathey por %s';
$lang['informe_html_tit'] = 'Informe de la revisin';
$lang['informe_html_pag'] = 'Pgina: %s';
$lang['informe_html_fecha'] = 'Fecha:';
$lang['informe_html_autor'] = 'Autor: %s';
$lang['informe_html_com'] = 'Comentario:';
$lang['informe_html_h2'] = 'Resultados por puntos de verificacin';
$lang['informe_html_pto'] = 'Punto %s';
$lang['informe_html_txt'] = 'Revisin de la accesibilidad de una pgina web. Informe generado por HERA (www.sidar.org/hera).';
$lang['li_fecha'] = 'Fecha/hora';
$lang['color_title'] = 'Contraste de color';
$lang['color_title2'] = 'Verificar colores';
$lang['color_aviso'] = 'Algunas funciones de esta herramienta utilizan javascript.';
$lang['color_combos'] = 'Combinaciones encontradas en las CSS';
$lang['color_dif'] = 'La diferencia en el brillo es <strong>%d</strong>. Debe ser superior a 125.';
$lang['color_dif2'] = 'La diferencia de color es <strong>%d</strong>. Debe ser superior a 500.';
$lang['color_err'] = 'Se indic un color no vlido.';
$lang['color_h2a'] = 'Colores de primer plano';
$lang['color_h2b'] = 'Colores de fondo';
$lang['color_h2c'] = 'Muestra';
$lang['color_cambio'] = 'Cambiar';
$lang['color_ayuda'] = 'Instrucciones';
$lang['color_p_a'] = 'Esta pgina permite comprobar si dos colores tienen el suficiente contraste, calculando la diferencia de brillo y color de acuerdo al <a href="http://www.w3.org/TR/AERT#color-contrast" hreflang="en" style="border:none">algoritmo sugerido por el W3C</a>. Si bien este algoritmo es una propuesta que puede sufrir modificaciones, permite contar con un criterio bsico uniforme para analizar el contraste de los colores.';
$lang['color_p_b'] = 'Una vez que se indique la direccin de una pgina, se obtienen los colores de primer plano y de fondo especificados en las CSS o en los atributos HTML de la pgina, y los colores predeterminados por los navegadores.';
$lang['color_p_c'] = 'Los colores as obtenidos sern botones que le permitirn reproducir las combinaciones de color que se encuentran en la pgina y comprobar si el grado de contraste es suficiente. Se sugiere abrir la pgina en otra ventana para comprobar visualmente cmo se combinan estos colores.';
$lang['color_p_d'] = 'Dos cajas de texto le permiten introducir cualquier color, adems de aquellos extrados de la pgina revisada, para verificar otras combinaciones que puedan observarse en la pgina (por ejemplo, con imgenes de fondo).';
$lang['color_p_e'] = 'Cuando las hojas de estilo contienen reglas que definen explcitamente las propiedades "background" y "color" para un mismo selector (elemento de la pgina), se proporcionan muestras de esas combinaciones (se ignoran los valores "inherit" y "transparent").';
$lang['view_tit_cod'] = 'Vista de cdigo';
$lang['view_tit_sincss'] = 'Quitar estilos de la pgina.';
$lang['view_alt_sincss'] = 'Quitar estilos.';
$lang['view_tit_concss'] = 'Aplicar nuevamente los estilos de la pgina.';
$lang['view_alt_concss'] = 'Aplicar estilos.';
$lang['view_rev_que'] = 'Revisando "%s"';
$lang['view_usemap'] = 'Mapa de imagen (cliente)';
$lang['view_ismap'] = 'Mapa de imagen (servidor)';
$lang['view_head_con'] = 'Contenido en &lt;head&gt;';
$lang['view_css'] = '(Utilice la vista de cdigo para ver la CSS)';
$lang['view_scripts'] = '(Utilice la vista de cdigo para ver los scripts)';
$lang['view_no_dtd'] = 'No hay una DTD.';
$lang['view_si_css'] = 'Se utilizan hojas de estilo.';
$lang['view_no_css'] = 'No se utilizan hojas de estilo.';
$lang['txt_tit_hlp'] = 'Ayuda de HERA.';
$lang['txt_a_hlp'] = 'Ayuda';
$lang['txt_tit_info'] = 'Informacin general sobre HERA.';
$lang['txt_a_info'] = 'Info';
$lang['txt_tit_code'] = 'Cdigo fuente de HERA.';
$lang['txt_a_code'] = 'Cdigo';
$lang['txt_tit_mail'] = 'Mensaje al equipo de HERA.';
$lang['txt_a_mail'] = 'Contacto';
$lang['formato_fecha'] = 'd/m/Y - G:i \G\M\T';
?>
