<?php
$help[1101] = 'Cada imagen requiere obligatoriamente el atributo "alt" con un texto que describa la funcin que cumple. Si el atributo "alt" resulta insuficiente, debido a la complejidad de la imagen, se debe utilizar "longdesc" para especificar una URL que contenga una descripcin detallada de la imagen. En estos casos, es conveniente proporcionar tambin un enlace textual que lleve al mismo archivo que se indica en "longdesc" (usualmente el texto del enlace consiste en una letra "D").';
$help[1102] = 'Cada botn de formulario constituido por un grfico (&lt;input type="image"&gt;) deben llevar un texto alternativo que describa la funcin que cumple, a travs del atributo "alt".';
$help[1103] = 'Cada rea de un mapa de imgen (un elemento asociado a &lt;img&gt;, &lt;object&gt; o &lt;input&gt; que define zonas activas, usualmente utilizadas como enlaces) debe llevar el atributo "alt" con un texto alternativo que describa el propsito del rea.';
$help[1104] = 'Los scripts incluidos en el cuerpo del documento deben llevar contenidos alternativos que describan su accin o reemplacen su funcionalidad. Se recomienda usar &lt;noscript&gt; para el contenido alternativo a continuacin de cada &lt;script&gt; pero debern evaluarse, en cada caso, las posibles excepciones a esta norma.';
$help[1105] = 'Por cada elemento &lt;embed&gt; debe existir tambin un elemento &lt;noembed&gt; con un contenidos alternativo que describa adecuadamente su accin o reemplace su funcionalidad.';
$help[1106] = 'Cada applet puede incluir un texto alternativo usando el atributo "alt" y debe proporcionar una descripcin detallada en el contenido del elemento (aquello comprendido entre &lt;applet&gt; y &lt;/applet&gt;).';
$help[1107] = 'Cada elemento &lt;object&gt; debe proporcionar un texto alternativo en el contenido del elemento (aquello comprendido entre &lt;object&gt; y &lt;/object&gt;).';
$help[1108] = 'Cada elemento &lt;iframe&gt; puede utilizar el atributo "longdesc" para especificar una URL que contenga una descripcin del marco y debe proporcionar un texto alternativo en el contenido del elemento (aquello comprendido entre &lt;iframe&gt; y &lt;/iframe&gt;).';
$help[1109] = 'Cuando existen archivos de sonido directamente enlazados desde la pgina, se deben proporcionar textos o contenidos alternativos para quienes no pueden percibir esos sonidos.';
$help[1110] = 'Cuando existen archivos de video o multimedia directamente enlazados desde la pgina, se deben proporcionar textos o contenidos alternativos para quienes no pueden utilizar esos archivos.';
$help[1111] = 'En las pginas de marcos debe existir un elemento &lt;noframes&gt; que ofrezca un contenido alternativo para los navegadores que no soportan los marcos. Cada elemento &lt;frame&gt; debe incluir el atributo "title" y, si las relaciones entre los marcos es compleja, usar "longdesc" para describir estas relaciones.';
$help[12] = 'Verifique si, para cada enlace definido por las reas activas de un mapa de imagen del tipo servidor, existe un enlace en formato texto en la pgina.';
$help[1301] = 'Si un elemento &lt;embed&gt; contiene un video o una animacin, verifique si se incluye una descripcin sonora de lo que ocurre en la pista visual.';
$help[1302] = 'Si un elemento &lt;object&gt; contiene un video o una animacin, verifique si se incluye una descripcin sonora de lo que ocurre en la pista visual.';
$help[1303] = 'Cuando existen archivos multimedia enlazados desde la pgina, que presentan un video o animacin, se debe incluir una descripcin sonora de lo que ocurre en la pista visual.';
$help[1401] = 'Si un elemento &lt;embed&gt; contiene un video o una aplicacin multimedia con desarrollo temporal, verifique si incluye equivalentes alternativos sincronizados con la presentacin.';
$help[1402] = 'Si un elemento &lt;object&gt; contiene un video o una aplicacin multimedia con desarrollo temporal, verifique si incluye equivalentes alternativos sincronizados con la presentacin.';
$help[1403] = 'Cuando existen archivos multimedia enlazados desde la pgina, que presentan un video o una aplicacin multimedia con desarrollo temporal, verifique si incluye equivalentes alternativos sincronizados con la presentacin.';
$help[15] = 'Verifique si, para cada enlace definido por las reas activas de un mapa de imagen del tipo cliente, existe un enlace en formato texto en la pgina.';
$help[21] = 'Verifique si se transmite informacin importante o funcional slo a travs del color (por ejemplo, indicaciones como "los artculos marcados con rojo estn en oferta").';
$help[22] = 'HERA proporciona una utilidad independiente que le facilitar comprobar si las combinaciones de color de fondo y de primer plano tienen el contraste suficiente, aplicando el algoritmo de verificacin propuesto por el <acronym title="World Wide Web Consortium" xml:lang="en" lang="en">W3C</acronym>.';
$help[31] = 'Verifique que todo aquello que pueda transmitirse apropiadamente mediante un lenguaje de marcas, se transmita mediante l y no a travs de una imagen.';
$help[3201] = 'HERA utiliza los servicios del validador del <acronym title="World Wide Web Consortium" xml:lang="en" lang="en">W3C</acronym> para verificar la sintxis del cdigo de la pgina. Si el resultado es indefinido, utilice el icono para abrir la pgina del validador.';
$help[3202] = 'HERA utiliza los servicios del revisor de <acronym title="Cascading Style Sheets" xml:lang="en" lang="en">CSS</acronym> del <acronym title="World Wide Web Consortium" xml:lang="en" lang="en">W3C</acronym> para verificar la sintxis de las hojas de estilo. Si el resultado es indefinido, utilice el icono para abrir la pgina del revisor.';
$help[3301] = 'Verifique que el maquetado y presentacin de la pgina se realicen mediante hojas de estilo y no con elementos y atributos del lenguaje de marcas.';
$help[3302] = 'Verifique que no se utilicen elementos como &lt;b&gt;, &lt;center&gt; o &lt;font&gt;, por ejemplo, para controlar la presentacin de la pgina.';
$help[3303] = 'Verifique que no se utilicen atributos de presentacin como "color", "bgcolor" o "face", por ejemplo.';
$help[3401] = 'Se indican las hojas de estilo externas, la existencia de <acronym title="Cascading Style Sheets" xml:lang="en" lang="en">CSS</acronym> incrustadas y los elementos con estilos en lnea. Revisar los valores para comprobar que no se utilizan medidas absolutas o px para los tamaos de las fuentes.';
$help[3401] = 'Se indican las tablas y celdas de tablas con atributos como "<span xml:lang="en" lang="en">heigth</span>" y "<span xml:lang="en" lang="en">width</span>". Verifique que los valores para esos atributos estn expresados en porcentajes, no en medidas absolutas.';
$help[3402] = 'Se indican las tablas y celdas de tablas con atributos como "<span xml:lang="en" lang="en">heigth</span>" y "<span xml:lang="en" lang="en">width</span>". Verifique que los valores para esos atributos estn expresados en porcentajes, no en medidas absolutas.';
$help[35] = 'Se identifican los encabezados. Debe existir, al menos un ttulo principal y no deben mezclarse los niveles de encabezados aleatoriamente slo para aprovechar que se presentan en distintos tamaos de fuente.';
$help[36] = 'Se identifican los distintos tipos de lista. Todo contenido que conforme una lista de elementos debe estar marcado como tal lista y no debe utilizarse el marcado de lista para conseguir efectos de presentacin (Sangrado, por ejemplo). Si existen listas anidadas, debe comprobarse el correcto anidamiento de las mismas.';
$help[37] = 'Se identifican los elementos &lt;q&gt; y &lt;blockquote&gt;. Se debe verificar que aquello marcado como cita sea realmente una cita y que no se utilicen estos elementos slo para dar formato al texto, por ejemplo, para conseguir que el texto aparezca sangrado.';
$help[41] = 'Se identifican los elementos con indicacin de cambio de idioma a travs de los atributos "lang", "hreflang" y "charset".';
$help[42] = 'Se identifican los elementos &lt;abbr&gt; y &lt;acronym&gt;. Verifique que se explicite su significado la primera vez que aparecen y que siempre se encuentren correctamente marcados, utilizando el atributo "title" para definir su expansin.';
$help[43] = 'Se identifica el elemento &lt;html&gt;. Verifique si se indica el idioma principal del documento a travs del atributo "lang". Si el documento es <acronym title="Extensible Hypertext Markup Language" xml:lang="en" lang="en">XHTML</acronym>, debe verificarse que adems se utilice xml:lang=.';
$help[51] = 'Se identifican las tablas y sus celdas. Las celdas de encabezados (&lt;th&gt;) se destacan con un fondo cyan. Verifique que esos encabezados se utilicen slo en tablas de datos.';
$help[52] = 'Se identifican las tablas y sus celdas. Las celdas de datos (&lt;td&gt;) y las de encabezados (&lt;th&gt;) que tengan algn atributo de asociacin se destacan con un fondo cyan.';
$help[53] = 'Se identifican las tablas. (Nota: falta una opcin para mostrar las tablas linearizadas)';
$help[54] = 'Se identifican las tablas y sus celdas. Las celdas de encabezados (&lt;th&gt;) se destacan con un fondo cyan. Verifique que esos encabezados no se utilicen para dar formato a la celda.';
$help[55] = 'Se identifican las tablas. Se destacan con fondo cyan las tablas con sumario y se muestra el contenido del atributo &lt;summary&gt;. Verifique que su contenido sea aclaratorio y que no se est usando este atributo en una tabla que no sea de datos.';
$help[56] = 'Se identifican las tablas y sus celdas. Las celdas de encabezados (&lt;th&gt;) se destacan con un borde rojo y, aquellas con el atributo &lt;abbr&gt;, con un fondo cyan y se muestra el texto usado en la abreviatura.';
$help[61] = 'Se muestra la pgina sin estilos. Verifique que su contenido se puede leer correctamente. En la vista de cdigo se sealan los estilos slo a ttulo informativo.';
$help[6201] = 'Cuando en una pgina aparecen imgenes que se sirven de forma aleatoria, por ejemplo, mediante scripts, su equivalente alternativo debe ser apropiado a ese cambio.';
$help[6202] = 'Los marcos deben estar conformados por documentos con formatos capaces de contener textos alternativos y descripciones (<acronym title="Hypertext Markup Language" xml:lang="en" lang="en">HTML</acronym>, <acronym title="Extensible Hypertext Markup Language" xml:lang="en" lang="en">XHTML</acronym>, etc.) y no por una imagen, por ejemplo.';
$help[6301] = 'Se debe comprobar si el contenido del atributo "href" en los enlaces es un recurso vlido, es decir, si se indica una direccin (<acronym title="Uniform Resource Identifier" xml:lang="en" lang="en">URI</acronym>) a la que se puede acceder an cuando no se soporten los scripts.';
$help[6302] = 'Los contenidos de las pginas y toda su interactividad y funcionalidad deben estar disponibles sin la ejecucin de los scripts.';
$help[6303] = 'Los contenidos de las pginas y toda su interactividad y funcionalidad deben estar disponibles sin la ejecucin de los elementos de programacin (embed y object).';
$help[6304] = 'Los contenidos de las pginas y toda su interactividad y funcionalidad deben estar disponibles sin la ejecucin de los elementos de programacin (applet).';
$help[64] = 'Los eventos deben poder activarse de igual forma con el ratn que con el teclado. Por tanto debe haber manejadores de evento independientes del tipo de dispositivo ("onfocus", "onblur", "onselect") o redundantes para el tipo de dispositivo (si se indica "Onmousedown" debe indicarse tambin "Onkeydown", si "onmouseup" tambin "onkeyup", si "onclick" tambin "onkeypress").';
$help[6501] = 'Los contenidos dinmicos deben ser directamente accesibles para todas las aplicaciones de usuario u ofrecerse en una presentacin o pgina alternativa. Todos los scripts deben estar acompaados a continuacin por el elemento NOSCRIPT, en el que debe ofrecerse de forma alternativa el contenido o un enlace a una pgina en la que se presente ese contenido sin scripts.';
$help[6502] = 'Los contenidos dinmicos deben ser directamente accesibles para todas las aplicaciones de usuario u ofrecerse en una presentacin o pgina alternativa. Verifique el contenido de NOFRAMES.';
$help[71] = 'Se sealan los scripts y los elementos de programacin que pueden causar el efecto de parpadeo. Verifique adems, a simple vista, que no haya elementos que parpadeen.';
$help[72] = 'Se sealan el elemento &lt;blink&gt;, los scripts y los elementos de programacin que pueden causar un efecto de destello. Verifique adems, a simple vista, que no haya elementos que destellen.';
$help[73] = 'Se sealan el elemento &lt;marquee&gt;, los scripts y los elementos de programacin que pueden causar un efecto de movimiento. Verifique adems, a simple vista, que no haya elementos en movimiento.';
$help[7401] = 'Si existe, se destaca y desactiva el elemento META http-equiv="refresh".';
$help[7402] = 'Se debe comprobar visualmente si se utilizan elementos de programacin para refrescar automticamente la pgina.';
$help[7501] = 'Si existe, se destaca y desactiva el elemento META http-equiv="refresh".';
$help[7502] = 'Se debe comprobar visualmente si se utilizan elementos de programacin para re-dirigir automticamente la pgina.';
$help[8101] = 'Se destacan los elementos que responden a eventos dependientes del dispositivo. Compruebe que los scripts sean directamente accesibles o compatibles con las ayudas tcnicas.';
$help[8102] = 'Compruebe que los elementos &lt;embed&gt; sean directamente accesibles o compatibles con las ayudas tcnicas.';
$help[8103] = 'Compruebe que los elementos &lt;applet&gt; sean directamente accesibles o compatibles con las ayudas tcnicas.';
$help[8104] = 'Compruebe que los elementos &lt;object&gt; sean directamente accesibles o compatibles con las ayudas tcnicas.';
$help[91] = 'Siempre es preferible que los mapas de imagen sean de tipo cliente, a menos que sus reas no puedan ser definidas con una figura geomtrica. Verifique que en este caso sea realmente as.';
$help[9201] = 'Se deben proporcionar enlaces redundantes para los mapas de imagen controlados por el servidor para que sus reas puedan activarse tambin mediante el teclado. Existen aqu enlaces redundantes?.';
$help[9202] = 'Los vdeos incrustados, las animaciones flash, etc. deben poder manejarse tanto con ratn como con teclado. Comprebelo!';
$help[93] = 'Se destacan los elementos que responde a eventos dependientes del dispositivo, aquellos que resultan independientes del dispositivo y los que no pueden ser emulados a travs del teclado. Deberan utilizarse siempre manejadores de evento lgicos.';
$help[94] = 'Aunque la comprobacin puede hacerse utilizando el tabulador en la vista original de la pgina, se destacan los elementos con el atributo "tabindex".';
$help[95] = 'Se destacan los elementos con el atributo "accesskey".';
$help[10101] = 'Se destacan los elementos con el atributo "target". Verifique si se avisa al usuario cuando un elemento abre una nueva venta.';
$help[10102] = 'Se destacan los elementos de programacin. Verifique si se avisa al usuario cuando un elemento abre una nueva venta.';
$help[102] = 'Se destacan las etiquetas y controles de formulario que requieren de esas etiquetas. Verifique que el atributo "for" de label coincida con el "id" del control de formulario. Las etiquetas deben aparecer a la izquierda o en la lnea inmediatamente anterior a los campos de edicin y a la derecha o en la lnea inmediatamente posterior a las casillas de verificacin o cuadros de seleccin.';
$help[103] = 'Se destacan las tablas y sus celdas. Verifique si existe contenido que ocupa ms de una lnea en cada celda de las tablas.';
$help[104] = 'Se destacan los campos de edicin y reas de texto en los formularios. Verifique que contengan algn caracter por defecto.';
$help[105] = 'Se destacan los enlaces. Verifique que entre ellos existan caracteres imprimibles no enlazados.';
$help[111] = 'Se destaca la DTD (si existe) y los elementos que evidencian el uso de hojas de estilo.';
$help[11201] = 'Se destacan los elementos considerados en desuso en la versin HTML 4.01. (Y por tanto, tambin, en <acronym title="Extensible Hypertext Markup Language" xml:lang="en" lang="en">XHTML</acronym>).';
$help[11202] = 'Se destacan los atributos considerados en desuso en la versin HTML 4.01. (Y por tanto, tambin, en <acronym title="Extensible Hypertext Markup Language" xml:lang="en" lang="en">XHTML</acronym>).';
$help[113] = 'Que los usuarios puedan recibir los documentos segn sus preferencias, significa, por ejemplo: en un determinado idioma, un determinado tipo de contenido, un determinado formato, etc. Compruebe que se ofrezcan varias opciones o forma de acceder a ellas.';
$help[114] = 'Si la pgina no cumple al menos con todos los pntos de prioridad 2 (nivel mnimo de accesibilidad requerido en toda Europa y la mayor parte de los pases del mundo), ver si se ofrece un enlace a otra pgina que tenga el mismo contenido o funcionalidad, pero que s use las tecnologas del <acronym title="World Wide Web Consortium" xml:lang="en" lang="en">W3C</acronym>, sea accesible y se actualice tan a menudo como esta que est revisando.';
$help[121] = 'Los marcos pueden causar graves molestias especialmente a los usuarios de alguna ayudas tcnicas, y en cualquier caso les son difciles de manejar. Por esa razn, si se utilizan marcos es esencial que cada marco tenga un ttulo lo ms descriptivo posible del contenido que presentar.';
$help[122] = 'Es muy posible que an incluyendo un ttulo para cada marco, no sea obvio para el usuario cul es su contenido y relacin con los otros marcos. Por esta razn se pide que se describa esto en una pgina aparte. La URL de esa pgina debe indicarse con el atributo "longdesc" y, tambin, debe colocarse un enlace a ella como contenido del elemento NOFRAME.';
$help[123] = 'Los bloques de informacin demasiado largos dificultan su comprensin, especialmente a algunas personas con deficiencias cognitivas. Por esta razn y por simple lgica, conviene estructurar los documentos creando bloques de informacin adecuados a la misma, mediante el marcado de prrafo, listas, ttulos y subttulos, etc.';
$help[124] = 'El atributo FOR de cada etiqueta <LABEL> debe coincidir con el atributo ID del control de formulario relacionado con ella. A esto es a lo que se llama una asociacin explcita.';
$help[131] = 'Se destacan los enlaces y el atributo "title", si existe. Conociendo los enlaces y a dnde apuntan, se puede valorar si con su lectura queda claro el objetivo de cada uno.';
$help[132] = 'Son contenedores de metadatos, el elemento "title", el elemento "address", el elemento "meta", la declaracin de tipo de documento (DTD), el elemento "link" y los elementos "del" e "ins", as como los atributos "title" y "cite". Verifique que se usan y de manera apropiada.';
$help[133] = 'Un mapa o ndice de los contenidos del sitio facilita la localizacin de los contenidos y comprender la relacin entre las distintas pginas que componen un sitio. Si el sitio es muy pequeo, el propio men de navegacin actuar como ndice de contenidos. Verifique que el mapa o ndice estn marcados apropiadamente.';
$help[134] = 'Para verificar la aplicacin de este punto, hay que observar si los mecanismos de navegacin, aparecen siempre en la misma ubicacin, en caso de que se usen iconos, si stos apuntan siempre al mismo recurso y, si el comportamiento de esos mecanismos es siempre el mismo.';
$help[135] = 'Para revisar este punto, hay que ver si los elementos principales para la navegacin por el sitio se presentan como una barra de navegacin (agrupados), que puede estar conformada por iconos, por textos o por ambos.';
$help[136] = 'Se identifican los enlaces y algunos elementos que permiten agrupar los enlaces.';
$help[137] = 'Para revisar este punto, si el sitio ofrece un buscador, habr que utilizarlo para ver si ofrece opciones avanzadas de bsqueda.';
$help[138] = 'Se destacan los principales elementos estructurales. Valore si la informacin distintiva est situada al comienzo de encabezados, prrafos, listas, etc.';
$help[139] = 'Se destacan los elementos LINK en el encabezado con los atributos REL y REV. Compruebe que existan, tambin, otros mecanismos para informar sobre la relacin entre documentos (pginas) si la hay.';
$help[1310] = 'Se destacan los enlaces. Si usted detecta un "ASCII art" que ocupa varias lneas, verifique que haya un enlace para saltarlo.';
$help[141] = 'Un sitio Web puede ser visitado y puede contar entre "sus clientes" con personas con defeciencias cognitivas, personas con bajo grado de alfabetizacin, personas que no dominan el idioma, etc.; en definitiva con personas con limitaciones para la lectura. Compruebe que el lenguaje utilizado sea claro y sencillo.';
$help[142] = 'Para revisar este punto, hay que valorar si en la pgina se hace un uso apropiado de iconos y de sonidos que acompaan a acciones, la ilustracin de los contenidos con imgenes, vdeos, animaciones y/o sonidos.';
$help[143] = 'Para revisar y valorar la aplicacin de este punto hay que comparar la pgina que se est revisando con otras del mismo sitio, para ver si mantienen un estilo consistente.';
?>
