<?php
$manual[11] = '<p>No todos los usuarios pueden percibir apropiadamente los contenidos no textuales, ya sea porque tienen alguna deficiencia o porque sus equipos o conexiones se lo limitan. Por esta razn, el punto pide que, para todo contenido que no sea texto, se ofrezca una alternativa en formato texto mediante el marcado o las tcnicas existentes para ello.</p>
<p>Las tcnicas para proporcionar un contenido alternativo vara segn cada elemento. Puede requerir el uso de atributos especficos, como "alt" o "longdesc"; el uso de otros elementos (&lt;script&gt;/&lt;noscript&gt;, por ejemplo) o la inclusin de los textos alternativos dentro de la propia marca, como es el caso de &lt;applet&gt; o &lt;iframe&gt;.</p>';
$manual[12] = '<p>Un mapa de imagen define zonas activas en un elemento &lt;img&gt; o &lt;input&gt;, de modo que es posible asociar una accin a cada una de esas zonas (tpicamente activar un enlace).</p>
<p>En los mapas de imagen del tipo servidor, cuando el usuario activa un enlace utilizando el ratn, las coordenadas del puntero del ratn sobre la pantalla se envan al servidor donde reside el archivo con la definicin del mapa.</p>
<p>Como se requiere un dispositivo de entrada especfico (un ratn), se debe proporcionar informacin redundante creando una lista en formato texto de todos los vnculos definidos en el mapa, de modo que puedan ser activados tambin a travs del teclado.</p>';
$manual[13] = '<p>Las presentaciones de video o animacin deben proporcionar una descripcin sonora de, por ejemplo, el escenario, los grficos que se presentan, las acciones, etctera, para los usuarios que no pueden ver o con deficiencias visuales.</p>';
$manual[14] = '<p>Ofrecer un equivalente textual o una descripcin separados de una presentacin multimedia no aportan la misma experiencia a las personas sordas o con deficiencias auditivas, ni a las personas que desconocen el idioma original de la presentacin.</p>
<p>Por esta razn se deben incluir equivalentes alternativos sincronizados con la presentacin. Estos son tiles no slo para las personas sordas o con deficiencias auditivas, sino tambin para quienes deben trabajar en un ambiente silencioso (una biblioteca, por ejemplo) o quienes, por el contrario, se encuentran en un ambiente ruidoso que les impide or con claridad y, naturalmente, para quienes no conocen el idioma en que se presentan los subttulos.</p>';
$manual[15] = '<p>No todas las aplicaciones de usuario, incluidas las ayudas tcnicas, son capaces de interpretar los textos alternativos definidos para cada rea activa de los mapas de tipo cliente. Esto supone que muchos usuarios no tendrn acceso a esa informacin, por lo que es imprescindible incluir un listado de enlaces, constituidos por texto, que apunten a los mismos documentos que las reas del mapa.</p>';
$manual[21] = '<p>Si se transmite informacin importante o funcional solamente a travs del color, los usuarios que no pueden percibir el color no podrn seguir la funcionalidad o recibir el mensaje apropiadamente.</p>
<p>Adems de los usuarios ciegos y aquellos con deficiencias en la percepcin del color, deben considerarse a las personas que acceden mediante dispositivos con pantallas monocromas o que, por circunstancias ambientales, se ven impedidas de percibir la informacin basada nicamente en el color.</p>';
$manual[22] = '<p>Cerca del 10 por ciento de la poblacin masculina mundial es daltnica, es decir, tiene una deficiencia de percepcin de los colores rojo, verde o azul.</p>
<p>Adems, hay personas con ceguera total al color y personas que utilizan dispositivos de salida monocromas, que requieren un alto contraste entre fondo y frente de los contenidos en pantalla para poder diferenciarlos correctamente.</p>
';
$manual[31] = '<p>Los lenguajes de marcado utilizados para crear las pginas Web permiten que el contenido definido con ellos sea igualmente interpretado por un ser humano como por una ayuda tcnica.</p>
<p>Por el contrario, las aplicaciones no pueden interpretar el contenido de las imgenes. Por esa razn es conveniente usar un lenguaje de marcas, siempre que exista uno que resulte apropiado, para transmitir la informacin.</p>';
$manual[32] = '<p>La correccin en la sintaxis del cdigo fuente de las pginas Web es importante para su adecuada decodificacin por parte de las aplicaciones de usuario, incluidas las ayudas tcnicas.</p>
<p>Todas las pginas deben contener una declaracin del tipo de documento (DTD) para indicar formalmente a las aplicaciones cul es el lenguaje de marcas utilizado y as poder verificar la correccin de su gramtica.</p>';
$manual[33] = '<p>Las hojas de estilo representan un gran paso adelante para la Web. Con la separacin de contenido y presentacin entre HTML y hojas de estilo es posible lograr el ideal de una Web independiente de plataformas y dispositivos.</p>
<p>Con <acronym title="Cascading Style Sheets" xml:lang="en" lang="en">CSS</acronym> es posible modificar la presentacin de los documentos si recurrir a elementos y atributos obsoletos en HTML. Tambin hacen innecesarias antiguas estrategias que llevaban a utilizar incorrectamente los elementos del cdigo slo por conseguir determinados efectos visuales.</p>
';
$manual[34] = '<p>Si se utilizan unidades de medida relativas, los usuarios podrn ampliar o reducir el tamao de los elementos de la pgina de acuerdo con sus necesidades. Estas necesidades varan de un usuario a otro en funcin de sus deficiencias o de los dispositivos que utilizan para acceder a la Web.</p>';
$manual[35] = '<p>Algunas aplicaciones de usuario utilizan los encabezados para extractar la estructura del documento y ofrecer mejores herramientas de consulta, por ejemplo, la posibilidad de examinar rpidamente las pginas navegando a travs de los ttulos o encabezados. Pero adems de los usuarios que pueden navegar de encabezado en encabezado, tambin algunos robots de bsqueda e indexacin los utilizan para clasificar las pginas, de manera que es muy importante marcar apropiadamente los encabezados.</p>
<p>Cada seccin de un documento debe presentarse con el encabezado HTML correspondiente (H1-H6) segn el nivel que ocupe dentro de su estructura. Por ejemplo, los encabezados H2 deben seguir a los elementos H1, los encabezados H3 deben seguir a los H2, etctera.</p>
<p>No mezcle los niveles de encabezados aleatoriamente slo para aprovechar los distintos tamaos de fuente que los navegadores adjudican a los elementos <H>. Para mejorar la presentacin o crear efectos visuales en el texto, utilice hojas de estilo en cascada y ordene los encabezados apropiadamente.</p>
</ul>';
$manual[36] = '<p>Todo contenido que conforme una lista de elementos debe estar marcado como tal lista. Las marcas de lista son un elemento ms que permite marcar la estructura de un documento. No debe utilizarse el marcado de lista para conseguir efectos de presentacin. Las aplicaciones de usuario, incluidas las ayudas tcnicas, diferencian los elementos que conforman una lista, facilitando su comprensin a los usuarios.</p>
<p>HERA destaca las listas (DL, OL, UL) y sus tems. Compruebe que se encuentran correctamente marcados. Revise que las listas estn anidadas y utlizadas correctamente.</p>';
$manual[37] = '<p>Debido a que en cada idioma varan los estilos de comillas que se usan para identificar las citas, el elemento <Q> en HTML permite que los navegadores con soporte internacional muestren las comillas correspondientes sin necesidad de insertarlas mediante el cdigo ASCII. Este elemento se usa para marcar citas cortas, una frase, una expresin.</p>
<p>El elemento <BLOCKQUOTE> identifica un bloque de texto citado y el elemento <CITE> una citacin o referencia a otros recursos.</p>
<p>Las aplicaciones de usurio, incluidas las ayudas tcnicas, tratan la presentacin de los contenidos marcados con estos elementos de una manera especial, sangrndolos o poniendo una entonacin distinta cuando al presentacin se hace mediante sntesis de voz. No debe utilizarse este marcado simplemente para conseguir dichos efectos, ya que son marcas estructurales que son utilizadas por robots de bsqueda e indexacin para clasificar esos contenidos.</p>';
$manual[41] = '<p>Todos los contenidos presentados en un idioma distinto al declarado como principal de la pgina, deben marcarse indicando el idioma en el que estn escritos. Adems, los enlaces que apunten a recursos en idiomas distintos al principal de la pgina, deben marcarse con el atributo "hreflang" para indicar el idioma en el que se presentarn los contenidos de ese recurso. Esto es especialmente importante para quienes utilizan lectores de pantalla capaces de pronunciar apropiadamente los contenidos en el idioma definido, para quienes utilizan lneas braille para seleccionar los cdigos de control apropiados para que el programa de traduccin genere los caracteres correctos y, quienes desconocen el idioma en cuestin podrn recurrir a dispositivos apropiados para traducirlos. Adems, los robots de bsqueda e indizacin pueden as clasificar mejor dichos contenidos, facilitando a todos los usuarios su recuperacin.</p>
<p>HERA destaca las marcas de cambios de idioma y las indicaciones del idioma en los enlaces. Verifique que todos los cambios de idioma, se encuentran correctamente identificados.</p>
<p>Si la pgina contiene un elemento multimedia, revisar si se identifica el cambio en el lenguaje utilizado en los subttulos, cuando lo haya. Para lo cual, hay que revisar el cdigo fuente de los subttulos, lo que puede hacerse con <a href="http://www.hisoftware.com/">HiCaption</a> o leyendo el contenido del archivo SMIL en cualquier editor de textos.</p>';
$manual[42] = '<p>Hay que tener en cuenta que no todos los usuarios de un sitio tienen por qu conocer el significado de todas las abreviaturas y acrnimos utilizados en sus pginas. Por ello es importante explicitar su significado la primera vez que aparecen y marcarlas siempre, utilizando el atributo "title" para definir su expansin. De esta manera las aplicaciones de usuario sern capaces de indicarle al usuario su significado.</p>
<p>Si tiene dudas sobre la diferencia entre una abreviatura y un acrnimo, lea: "<a href="http://www.sidar.org/funacti/inves/abrvsacr.php" title="Explica cmo diferenciar una abreviatura de un acrnimo.">Abreviaturas <abbr title="versus">vs.</abbr> Acrnimos</a>".</p>
<p>Adems hay que comprobar que la expansin de las abreviaturas (ABBR) y los acrnimos (ACRONYM) est especificada en su forma expandida cuando aparece por primera vez en el documento y que todas las abreviaturas y acrnimos se marcan.</p>';
$manual[43] = '<p>En todas las pginas debe indicarse el idioma principalmente usado en ellas. De esta manera las aplicaciones de usuario podrn presentar los contenidos de acuerdo con el idioma marcado. Esto es especialmente importante para quienes usan lectores de pantalla o navegadores con sntesis de voz, pues de otra manera no podrn escuchar los contenidos con la pronunciacin correcta. Tambin es importante marcar el idioma principal del documento para que la pgina pueda se indexada apropiadamente.</p>
<p>Esto se hace, por ejemplo en una pgina creada en <acronym title="HyperText Markup Language" lang="en">HTML</acronym> en el elemento "html".</p>';
$manual[51] = '<p>Para que las aplicaciones de usuario, incluidas las ayudas tcnicas, puedan interpretar correctamente los datos presentados en forma tabular, las tablas deben estar correctamente marcadas.</p>
<p>Las celdas de encabezados deben estar marcadas como &lt;TH&gt; y las celdas de datos, como &lt;TD&gt;.</p>';
$manual[52] = '<p>Si en la pgina hay una tabla de datos con dos o ms niveles lgicos de encabezado de fila o columna, debe asociarse el contenido de las celdas de datos con su correspondiente celda de encabezado. De esta manera, las aplicaciones de usuario que utilizan sntesis de voz, podrn transmitir la relacin entre los distintos elementos de la tabla.</p>';
$manual[53] = '<p>Por principio no deben utilizarse tablas para maquetar o disponer el contenido de una pgina. Y en caso de que se utilicen para ese fin, debe comprobarse que si la tabla se lee lnea a lnea sigue siendo comprensible su contenido. En caso contrario debe ofrecerse una pgina alternativa con el contenido de la tabla presentado en forma lineal.</p>
<p>Las tablas, como su nombre indica, existen para presentar contenido tabular. Si el contenido no es tabular no debe presentarse dentro de una tabla. Esto es especialmente importante para quienes utilizan navegadores slo texto y quienes utilizan lectores de pantalla que leen lnea a lnea lo que aparece en el monitor, porque de esta manera se junta el contenido de las celdas presentes en la misma lnea, dando como resultado algo totalmente incomprensible.</p>';
$manual[54] = '<p>Cuando en una tabla se marca un encabezado, todos los navegadores destacan visualmente su contenido. Por ello algunos autores, que usan tablas para maquetar el contenido, marcan algunos elementos como encabezados de tabla con el nico propsito de que el navegador los destaque. Este punto de control pide explcitamente que no se haga esto. Por tanto, hay que verificar que las celdas de encabezado de las tablas (&lt;TH&gt;) no sean usadas incorrectamente para dar formato a la pgina.</p>
';
$manual[55] = '<p>Las tablas de datos deben llevar un sumario o resumen, marcado con el atributo <summary>. Esto facilitar la comprensin del contenido, de la relacin entre los elemento de la tabla, a los usuarios cuyas aplicaciones soportan este atributo y les leen su contenido.</p>';
$manual[56] = '<p>Las celdas que usan marcas para asociar datos con encabezados cuyas etiquetas son muy largas, deben tener su correspondiente abreviatura, para que a quienes usan lectores de pantalla para ayudarse en la comprensin de la pgina, les sea ms sencillo comprender la relacin entre los datos, sin necesidad de or constantemente descripciones extensas de la relacin de un dato con un encabezado.</p>';
$manual[61] = '<p>Es posible que un usuario utilice un navegador que no soporte la definicin de estilos mediante Hojas de estilo en cascada, tambin es posible que el usuario utilice su propia hoja de estilos. Por lo que es importante que los contenidos de la pgina puedan comprenderse an sin la aplicacin de los estilos definidos por el autor.</p>';
$manual[62] = '<ul>
<li>Los marcos deben estar conformados por documentos con formatos capaces de contener textos alternativos y descripciones (<acronym title="HyperText Markup Language" lang="en">HTML</acronym>, <acronym title="Extensible HyperText Markup Language" lang="en">XHTML</acronym>, etc.) y no por una imagen, por ejemplo, porque entonces se limitara el acceso a su contenido a todos los usuarios con deficiencas visuales o, por ejemplo, a aquellos que no conocen bien el idioma y, por tanto, no podran utilizar en ellos las aplicaciones de traduccin automtica.</li>
<li>Cuando en una pgina aparecen imgenes que se sirven de forma aleatoria, por ejemplo, mediante scripts, su equivalente alternativo debe ser apropiado a ese cambio.</li>
</ul>
<p>No todos los usuarios utilizan aplicaciones capaces de interpretar los scripts o los marcos. Por esa razn es importante que exista un contenido alternativo para ellos, que se actualice a la vez que el contenido presentado mediante esas tecnologas.</p>';
$manual[63] = '<p>Los usuarios pueden preferir no descargar o ejecutar objetos de programacin, o es posible que sus aplicaciones no los soporten. Por tanto, los contenidos de las pginas y toda su interactividad y funcionalidad debe estar disponible sin la ejecucin de esos objetos.</p>
<p>Para revisar este punto, HERA destaca los elementos APPLET y OBJECT. Si en la pgina hay este tipo de elementos, desactive los plugins y verifique si es posibile interactuar con la pgina.</p>
<p>Para ello, en Opera, pulsando F12 o en el men "File" opcin "Quick Preferences", deshabilitar las opciones: "Enable Java", "Enable plug-ins" y "Enable Javascripts". Una vez hecho esto, revisar que todas las funciones de la pgina siguen siendo activables. Y si no es as, si hay un enlace a una versin alternativa de esa pgina con el mismo contenido pero accesible.</p>';
$manual[64] = '<p>Los eventos deben poder activarse de igual forma con el ratn que con el teclado. Porque hay usuarios que no pueden o no quieren utilizar el ratn o el teclado. Por tanto debe haber manejadores de evento independientes del tipo de dispositivo ("onfocus", "onblur", "onselect") o redundantes para el tipo de dispositivo (si se indica "Onmousedown" debe indicarse tambin "Onkeydown", si "onmouseup" tambin "onkeyup", si "onclick" tambin "onkeypress".).</p>';
$manual[65] = '<p>Los contenidos dinmicos deben ser directamente accesibles para todas las aplicaciones de usuario, incluidas las ayudas tcnicas, u ofrecerse en una presentacin o pgina alternativa. Por tanto, hay que revisar la existencia de este tipo de contenidos.</p>';
$manual[71] = '<p>Si la pantalla parpadea, puede causar molestias e incluso graves consecuencias, como un ataque epilptico, a algunos usuarios. Por tanto, debe evitarse ese efecto.</p>';
$manual[72] = '<p>Compruebe visualmente si se producen destellos en algn contenido de la pgina, lo que puede ocasionar molestias a algunos usuarios.</p>';
$manual[73] = '<p>Si se producen movimientos en la pgina, a los usuarios con problemas de atencin, por ejemplo, les ser difcil interactuar con el sitio, por tanto, esos movimientos deben evitarse o el usuario debe poder detenerlos.</p>';
$manual[74] = '<p>Si una pgina se autorefresca automticamente, muchos usuarios no podrn llegar a recibir su contenido completo nunca, pues cada vez que se refresque la pgina sus ayudas tcnicas comenzar a leerla o repasarla de nuevo. Por tanto, no debe provocarse el refresco automtico.</p>';
$manual[75] = '<p>Si existe un redireccionamiento automtico, el usuario puede desorientarse, adems eso interrumpe el ciclo histrico de pgina visitadas que guarda la aplicacin del usuario.</p>';
$manual[81] = '<p>Este punto comprende dos niveles de prioridad: Se considera de nivel 1 si la funcionalidad es importante y de nivel 2 si no lo es:</p>
<ul>
<li>Un ejemplo de funcionalidad importante es el envo de un formulario o el clculo de una cantidad, por ejemplo, la suma total de un pedido, o la ilustracin de un experimento de fsica en la que el objeto permite manipular algo virtualmente y no puede duplicarse de manera alternativa.</li>
<li>Un ejemplo de funcionalidad poco importante sera un efecto decorativo como el resaltado de una imagen o el cambio de color de un texto.</li>
</ul>';
$manual[91] = '<p>Siempre es preferible que los mapas de imagen sean de tipo cliente, a menos que sus reas no puedan ser definidas con una figura geomtrica.</p>';
$manual[92] = '<p>Los vdeos incrustados, las animaciones flash, etc. deben poder manejarse tanto con ratn como con teclado, en resumen, cualquier elemento que tenga su propia interfaz debe poder manejarse tanto con el ratn como con el teclado, pues hay usuarios que no pueden usar uno u otro.</p>';
$manual[93] = '<p>Los eventos deben poder activarse de igual forma con el ratn que con el teclado (porque hay usuarios que no pueden usar uno u otro). Por tanto debe haber manejadores de evento independientes del tipo de dispositivo ("onfocus", "onblur", "onselect") o redundantes para el tipo de dispositivo (si se indica "Onmousedown" debe indicarse tambin "Onkeydown", si "onmouseup" tambin "onkeyup", si "onclick" tambin "onkeypress").</p>';
$manual[94] = '<p>Para los usuarios que utilizan el teclado para navegar por las pginas, es muy importante que el orden de presentacin de los elementos siga un orden lgico de lectura.</p>
<p>La comprobacin puede hacerse visualmente en la vista original de la pgina (pulsando el botn que tiene HERA a tal efecto) y una vez en ella las teclas "a" y "q". La navegacin por entre los enlaces de la pgina, controles de formulario y objetos, debe seguir un orden lgico.</p>';
$manual[95] = '<p>Los atajos de teclado facilitan a quienes utilizan el teclado para navegar, acceder de forma ms rpida a los elementos ms importantes de la pgina, evitndoles adems el tener que pasar por cada uno antes de llegar al que realmente les interesa y, en el caso de quienes utilizan lectores de pantalla (personas ciegas, personas con deficiencia visual, personas con dislexia, personas con problemas de atencin, etc.), el tener que or todos los elementos que existen antes de donde se encuentra el que quieren activar.</p>';
$manual[101] = '<p>Especialmente importante para los usuarios que utilizan ayudas tcnicas es que el foco se mantenga en la ventana que contiene el documento que estn visitando. Por ello, debe avisarse siempre antes de que ninguna ventana o mensaje emergente capture el foco. Es decir, no deben abrirse ventanas, ni llamadas emergentes, sin avisar antes al usuario.</p>';
$manual[102] = '<p>Para facilitar la comprensin y el acceso a los controles de formulario, stos deben llevar asociadas etiquetas, de manera que las aplicaciones de usuario puedan interpretar adecuadamente su relacin.</p>
<p>La propiedad FOR de label debe coincidir con el ID del control de formulario.<br />
Las etiquetas deben aparecer a la izquierda o en la lnea inmediatamente anterior a los campos de edicin y a la derecha o en la lnea inmediatamente posterior a las casillas de verificacin o cuadros de seleccin</p>';
$manual[103] = '<p>An existen aplicaciones de usuario que leen el contenido de la pgina lnea a lnea, de manera que si el contenido se presenta en dos o ms columnas la aplicacin mezcla lo que aparece en cada una de ellas en la misma lnea. Por esta razn, si en la pgina existe contenido que ocupa ms de una lnea en cada celda de una tabla, debe ofrecerse una versin lineal de ese contenido en la misma pgina o en otra.</p>';
$manual[104] = '<p>An hoy hay ayudas tcnicas que no son capaces de detectar el punto exacto en el que debe colocarse el cursor en los controles de formulario que se encuentran vacos. Por esta razn, se pide que los campos de edicin y reas de texto contengan algn caracter. Tambin es til para los usuarios con determinados tipos de deficiencias cognitivas, el que en esos campos y reas de texto haya una explicacin del tipo de texto que ellos deben introducir. Por otra parte, esto lleva a confusin a algunos usuarios inexpertos que no saben que deben reemplazar el texto existente por el que ellos introduzcan, por lo que si las etiquetas son suficientemente explcitas, bastar con que haya texto por omisin en el primer campo de un formulario.</p>';
$manual[105] = '<p>Algunas aplicaciones de usuario, incluidas algunas ayudas tcnicas, no son capaces de diferenciar los enlaces si se encuentran uno junto a otro sin ningn marcado o caracter imprimible que los separe.</p>';
$manual[111] = '<ul>
<li>Las tecnologas del W3C disponibles y soportadas son:
<ul>
	<li>MathML para ecuaciones matemticas</li> 
	<li><acronym title="HyperText Markup Language" lang="en">HTML</acronym>, XHTML, XML para documentos estructurados</li>
	<li>RDF para meta datos</li>
	<li>SMIL para crear presentaciones multimedia</li>
	<li>CSS y XSL para definir hojas de estilo</li>
	<li>XSLT para crear transformaciones de estilo</li>
	<li>PNG para grficos (aunque algunos tipos se expresan mejor en JPG, que es una especificacin que no es del W3C)</li> 
</ul>
</li>
</ul>';
$manual[112] = '<p>Dependiendo del lenguaje utilizado para construir la pgina, es posible que se estn utilizando elementos obsoletos o desaconsejados, que pueden suponer una barrera de acceso a algunos usuarios (por ejemplo, el elemento FONT que define unas determinadas caractersticas fijas para un texto, impidiendo que el usuario pueda modificarlo segn sus necesidades).</p><p>Recuerde que <acronym title="HyperText Markup Language" lang="en">HTML</acronym> admite ms elementos que XHTML y que las versiones Strict son ms restrictivas que Transitional, por ejemplo.</p>';
$manual[113] = '<p>Que los usuarios puedan recibir los documentos segn sus preferencias, significa, por ejemplo: en un determinado idioma, un determinado tipo de contenido, un determinado formato, etc.</p>
<ul>
<li>Los usuarios pueden preferir recibir los contenidos en su propio idioma, escuchar las pginas en vez de verlas, tener a su disposicin distintas formas de presentacin del contenido o recibir el contenido de forma apropiada por diversos medios como Braille o telfono para sordos (TTY).</li>
<li>Para revisar esto, ver si se ofrece el contenido en varios idiomas, mediante un enlace o mediante negociacin de contenido, para revisar esto ltimo, cambiar el idioma de preferencia en el navegador y volver a entrar en la pgina, si el contenido aparece en el idioma elegido (por ejemplo, cataln) es que se est ofreciendo la versin idiomtica mediante la negociacin de contenido.</li>
<li>Si se ofrecen vdeos o presentaciones multimedia incrustadas, revisar si ofrecen subttulos en varios idiomas.</li>
<li>Cuando se ofrezca la posibilidad de descargar un documento en un formato dado, deben ofrecerse otros formatos alternativos, como por ejemplo: <acronym title="HyperText Markup Language" lang="en">HTML</acronym>, doc, rtf, pdf, txt, etc. Comprobar si esto se hace as y preferiblemente en formatos no propietarios.</li>
<li>Si es posible, en el sitio debe ofrecerse un telfono gratuito y funcional las 24 horas del da, en el que se pueda solicitar la informacin.</li>
</ul>';
$manual[114] = '<p>Si la pgina no cumple al menos con todos los pntos de prioridad 2 (nivel mnimo de accesibilidad requerido en toda Europa y la mayor parte de los pases del mundo), ver si se ofrece un enlace a otra pgina que tenga el mismo contenido o funcionalidad, pero que s use las tecnologas del <acronym title="World Wide Web Consortium" lang="en">W3C</acronym>, sea accesible y se actualice tan a menudo como esta que est revisando.</p>
<p>Nota: El punto pide crear otra pgina que sea accesible. NO pide, ni puede interpretarse como solucin, el que haya otra pgina o versin "slo texto".</p>';
$manual[121] = '<p>Los marcos pueden causar graves molestias especialmente a los usuarios de alguna ayudas tcnicas, y en cualquier caso les son difciles de manejar. Por esa razn, si se utilizan marcos es esencial que cada marco tenga un ttulo lo ms descriptivo posible del contenido que presentar.</p>';
$manual[122] = '<p>Es muy posible que an incluyendo un ttulo para cada marco, no sea obvio para el usuario cul es su contenido y relacin con los otros marcos. Por esta razn se pide que se describa esto en una pgina aparte. La URL de esa pgina debe indicarse con el atributo "longdesc" y, tambin, debe colocarse un enlace a ella como contenido del elemento NOFRAME.</p>';
$manual[123] = '<p>Los bloques de informacin demasiado largos dificultan su comprensin, especialmente a algunas personas con deficiencias cognitivas. Por esta razn y por simple lgica, conviene estructurar los documentos creando bloques de informacin adecuados a la misma.</p>';
$manual[124] = '<p>El atributo FOR de cada etiqueta &#x3C;LABEL&#x3E; debe coincidir con el atributo ID del control de formulario. A esto es a lo que se llama una asociacin explcita. Esto es especialmente til para quienes usan algunos lectores de pantalla que de esta manera relacionan la etiqueta con el control de formulario y pueden guiar al usuario en su interaccin con ellos.</p>';
$manual[131] = '<p>Un enlace debe indicar de la forma ms clara y sucinta posible a dnde apunta, qu encontrar el usuario si sigue ese enlace. Esto es especialmente importante para los usuarios de ayudas tcnicas como los lectores de pantalla, y para las personas con dislexia y/o dificultades de apendizaje.</p>';
$manual[132] = '<p>Los metadatos son informacin sobre los contenidos de la pgina y sobre otras cuestiones relativas a ella y al sitio en el que se encuentra, como datos del autor, fecha de caducidad si la tiene, fecha de creacin, etc. Facilitan la localizacin, del documento y de sus contenidos, en la Web.</p>
<p>Algunos metadatos proporcionan informacin de orientacin importante para el usuario, otros pueden proporcionar informacin a los robots de bsqueda e indexacin, otros proporcionan informacin a las aplicaciones de usuario sobre la temtica de la pgina (por ejemplo, si es apropiada o no para nios), los derechos de autor, etc. La declaracin de los metadatos puede hacerse mediante el elemento "meta" cuando se refieren a datos contenidos en el propio documento, mediante el elemento "link" cuando se refieren a datos contenidos en un documento externo, o referirse a un "profile" donde se define la propiedad y sus atributos legales, mediante el atributo "profile".</p>
<p>Son contenedores de metadatos, el elemento "title", el elemento "address", el elemento "meta", la declaracin de tipo de documento (DTD), el elemento "link" y los elementos "del" e "ins", as como los atributos "title" y "cite".</p><p>Si la pgina forma parte de una serie, de una coleccin de documentos, por ejemplo si forma parte junto con otras de lo que podra ser un manual, un catlogo, etc.; debe utilizarse el elemento LINK para relacionarlas.</p>';
$manual[133] = '<p>Un mapa o ndice de los contenidos del sitio facilita la localizacin de los contenidos y comprender la relacin entre las distintas pginas que comprenden un sitio.</p>
<p>Para verificar este punto, hay que ver si el sitio ofrece un ndice de contenidos o mapa del sitio, generalmente indicado con un enlace llamado "mapa". Si el sitio es muy pequeo, el propio men de navegacin actuar como ndice de contenidos.</p>';
$manual[134] = '<p>Los mecanismos de navegacin, los enlaces, iconos, los "men", que pueden ser de definicin, de situacin o contextuales, son esenciales para la comprensin de la estructuacin y navegacin por las pginas, el sitio, y la situacin del usuario en cada momento de su visita. Por ello es muy importante, para todos los usuarios pero especialmente para quienes tienen limitaciones para la lectura y aprendizaje, que se usen de manera consistente en todo el sitio, es decir, que no cambie su apariencia ni su comportamiento de una pgina a otra.</p>
<p>Para verificar la aplicacin de este punto, hay que observar si los mecanismos de navegacin, aparecen siempre en la misma ubicacin, en caso de que se usen iconos, si stos apuntan siempre al mismo recurso y, si el comportamiento de esos mecanismos es siempre el mismo.</p>';
$manual[135] = '<p>Si los elementos de navegacin principales se ofrecen agrupados, en una "barra de navegacin", se destacan y se facilita su localizacin. Para los usuarios, especialmente para quienes se ayudan de lectores de pantalla, esto es esencial pues de esta manera pueden evitarlos en vez de tener que or repetidamente un montn de elementos que ya conocen y no desean escuchar.</p>
<p>Para revisar este punto, hay que ver si los elementos principales para la navegacin por el sitio se presentan como una barra de navegacin (agrupados), que puede estar conformada por iconos, por textos o por ambos.</p>';
$manual[136] = '<p>Si se agrupan los enlaces relacionados, ser ms fcil reconocerlos como barra de navegacin, lo que facilitar su localizacin en cualquier pgina del sitio. Esto es especialmente importante para los usuarios que no pueden ver y para los que tienen dificultades de aprendizaje.</p>
<ul>
<li>Dado que una serie de enlaces a las secciones principales del sitio conforman una lista, deben marcarse como elementos de tal lista.</li>
<li>Lo ideal es que los botones o enlaces que conforman la barra de men formen parte de un elemento &#x3C;map&#x3E; que lleve un ttulo que identifique que su contenido es una barra de navegacin. Esto facilitar a quienes usan aplicaciones de usuario que siguen la especificacin para ellas, el saltar ese grupo de elementos.</li>
<li>Ver si los enlaces estn relacionados entre s, marcados como listas, y preferiblemente como parte de un elemento <map></li>
<li>Como an no todas las aplicaciones de usuario son capaces de saltar a solicitud del usuario las agrupaciones de elementos, debe proporcionarse un enlace que cumpla esta funcin. El enlace no debe estar conformado por una imagen invisible, debe ser un texto y debe, cuando menos, revelarse al recibir el foco. Porque ese enlace ser usado no slo por personas ciegas sino por todos los usarios de lectores de pantalla y por quienes utilizan el teclado para navegar.</li>
</ul>';
$manual[137] = '<p>Si en el sitio se ofrece un sistema de bsqueda, es importante ofrecer mecanismos de bsqueda que se acomoden a varios niveles de habilidad y preferencia. La mayora de las utilidades de bsqueda requieren que el usuario indique palabras clave para buscar trminos, por lo que los usuarios con dificultades para deletrear y aquellos para los que no les es familiar el idioma empleado en el sitio, tendrn dificultades a la hora de encontrar lo que necesitan, si el buscador exige una ortografa perfecta. Los procesadores de bsqueda deben incluir un revisor ortogrfico, ofrecer la "mejor presuncin" como alternativa, ejemplos de bsquedas, bsquedas por similitud, etc.
</p>
<p>Para revisar este punto, si el sitio ofrece un buscador, habr que utilizarlo para ver si ofrece opciones avanzadas de bsqueda.</p>';
$manual[138] = '<p>Los usuarios de lectores de pantalla (personas ciegas, con deficiencia visual o con algunas deficiencias cognitivas) suelen "hojear" las pginas, es decir, saltan de encabezado en encabezado y de prrafo en prrafo escuchando slo unas pocas palabras del prrafo para determinar si realmente les interesa escucharlo completo. Eso es algo que en realidad hacemos todos los usuarios, aunque no utilicemos lectores de pantalla, cuando buscamos una determinada informacin y deseamos encontrarla lo ms rpidamente posible.</p>
<p>Si la idea principal o asunto de cada prrafo aparece al inicio, se facilitar la comprensin del prrafo y la navegacin rpida, hojear, la pgina.</p>';
$manual[139] = '<p>Si una serie de pginas constituyen un documento, el enlazarlas entre s, de la manera que se explicar ms adelante, facilitar su lectura sin conexin a Internet y la navegacin dentro de l, a todos los usuarios y especialmente a quienes utilizan el teclado para navegar.</p>
<p>Si los documentos (las pginas) estn relacionados entre s, por ejemplo si constituyen una presentacin, manual, folleto, etc.; adems de los metatags para relacionarlos debe haber un "contador" que indique dnde se encuentra el usuario, por ejemplo: "Pgina 3 de 25" y botones o enlaces a las pginas anterior, posterior y tabla de contenidos o ndice.</p>';
$manual[1310] = '<p>Para quienes usan lectores de pantalla, sera muy molesto tener que or una serie de caracteres sin sentido cuando su lector se encuentra con un dibujo creado con caracteres <abbr title="cdigo estndar norteamericano para el intercambio de informacin">ASCII</abbr>. Por esta razn es importante ofrecer un modo de saltar el dibujo y continuar con el resto de contenidos de la pgina.</p>';
$manual[141] = '<p>Un sitio Web puede ser visitado y puede contar entre "sus clientes" con personas con defeciencias cognitivas, personas con bajo grado de alfabetizacin, personas que no dominan el idioma, etc.; en definitiva con personas con limitaciones para la lectura.</p>
<ul>
<li>En los sitios dirigidos a un pblico amplio, los contenidos deben estar expresados en un lenguaje claro y sencillo, evitando anglicismos, lenguaje corporativo, etc. Siguiendo las siguientes pautas se incrementar la facilidad de lectura y comprensin:
<ol>
<li>Cuidar que los ttulos y el texto de los enlaces sea lo ms claro y exactos posible. Las palabras ms importantes deben reflejar la idea y ser, entre aquellas con significado similar, las que resulten ms comunes.</li>
<li>Especificar el tema de las oraciones o prrafos al principio de los mismos.</li>
<li>Limitar cada prrafo a una idea principal.</li>
<li>Evitar los giros idiomticos, las expresiones y vocabulario no familiares (modismos, jerga).</li>
<li>Si se emplean palabras familiares con significados especiales, proporcionar explicaciones de las mismas.</li>
<li>Evitar la voz pasiva.</li>
<li>Evitar estructuras complejas en las oraciones.</li>
<li>En los enlaces usar frases concisas pero con suficiente significado para ser entendidas an fuera de contexto.</li>
<li>La ortografa debe ser correcta.</li>
</ol>
</li>
</ul>';
$manual[142] = '<p>Los iconos, las ilustraciones, los vdeos y animaciones, no deben cumplir una funcin meramente decorativa. Su uso correcto incrementa la comprensin y facilidad de uso de un sitio Web, para todos los usuarios, pero especialmente para quienes tienen dificultades de aprendizaje o, por ejemplo, para las personas con sordera prelocutiva.</p>
<p>Por ejemplo, una grfica que acompaa a la presentacin de datos estadsticos los har ms fciles de comprender, para todos. Un icono que represente una determina seccin del sitio, ser ms fcil de recordar y muchas veces de comprender que una palabra que puede no tener mucho sentido para alguien que no conoce bien el idioma en el que est escrito el sitio o para alguien con dificultades de lectura o de concentracin.</p>
<p>Para revisar este punto, hay que valorar si en la pgina se hace un uso apropiado de iconos y de sonidos que acompaan a acciones, la ilustracin de los contenidos con imgenes, vdeos, animaciones y/o sonidos.</p>';
$manual[143] = '<p>Un estilo de presentacin consistente en cada una de las pginas de un sitio, permite a los usuarios localizar ms fcilmente el contenido importante. Esto ayuda a las personas con problemas de aprendizaje y lectura, pero tambin hace la navegacin ms fcil para todos los usuarios. La predecibilidad incrementar la probabilidad de que las personas encuentren la informacin en su sitio y les facilitar el evitar la que deseen.</p>
<ul>
<li>Los mecanismos de navegacin y su ubicacin, la maquetacin, los colores, la ubicacin de los bloques de texto que se mantienen uniformes entre pginas, permite advertir inmediatamente cundo se ha entrado en el sitio... y tambin cundo se lo ha abandonado.</li>
<li>Los mecanismos de navegacin y pistas visuales o textuales que se proporcionan en todas las pginas permiten minimizar los esfuerzos del usuario para saber cundo ha llegado al final del contenido o qu informacin adicional puede encontrar.</li>
</ul>
<p>Para revisar y valorar la aplicacin de este punto hay que comparar la pgina que se est revisando con otras del mismo sitio.</p>';
?>
