<?php
$wcag[10] = 'Proporcione alternativas para los contenidos visuales y auditivos';
$wcag[20] = 'No se base slo en el color';
$wcag[30] = 'Utilice marcadores y hojas de estilo y hgalo apropiadamente';
$wcag[40] = 'Identifique el idioma usado';
$wcag[50] = 'Cree tablas que se transformen correctamente';
$wcag[60] = 'Asegrese de que las pginas que usan tecnologas novedosas se transformen correctamente';
$wcag[70] = 'Asegure al usuario el control sobre los cambios de los contenidos tempo-dependientes';
$wcag[80] = 'Asegure la accesibilidad directa de las interfaces incrustadas';
$wcag[90] = 'Disee teniendo en cuenta diversos dispositivos';
$wcag[100] = 'Utilice soluciones provisionales';
$wcag[110] = 'Utilice las tecnologas y directrices del W3C';
$wcag[120] = 'Proporcione informacin de contexto y orientacin';
$wcag[130] = 'Proporcione mecanismos claros de navegacin';
$wcag[140] = 'Asegrese de que los documentos sean claros y sencillos';
$wcag[11] = 'Proporcione un <em>texto equivalente para todo elemento no textual</em> (<abbr title="por ejemplo">p. ej.</abbr> a travs de "alt", "longdesc" o en el contenido del elemento). <br />Esto incluye: imgenes, representaciones grficas del texto (incluyendo smbolos), reas de mapas de imagen, animaciones (por ejemplo, GIFs animados), "applets" y objetos programados, "ASCII art", marcos, scripts, imgenes usadas como vietas en las listas, espaciadores, botones grficos, sonidos (ejecutados con o sin la interaccin del usuario), archivos exclusivamente auditivos, pista sonora del vdeo y vdeos. (Prioridad 1)';
$wcag[12] = 'Proporcione <em>enlaces redundantes en formato texto</em> para cada rea activa de un <em>mapa de imagen del servidor</em>. (Prioridad 1)';
$wcag[13] = 'Hasta que las aplicaciones de usuario puedan leer en voz alta, automticamente, el texto equivalente de la pista visual de una presentacin multimedia, proporcione una <em>descripcin sonora</em> de la informacin importante <em>de la pista visual</em>. (Prioridad 1)';
$wcag[14] = '<em>Sincronice</em> con la presentacin, <em>equivalentes alternativos</em> (p. ej. subttulos o descripciones sonoras de la pista visual) para cualquier presentacin multimedia tempo-dependiente (p. ej. una pelcula o animacin). (Prioridad 1)';
$wcag[15] = 'Hasta que las aplicaciones de usuario interpreten los textos equivalentes de los enlaces de los mapas de imagen de tipo cliente, proporcione <em>enlaces redundantes</em>, en formato texto, para cada zona activa del <em>mapa de imagen de tipo cliente</em>. (Prioridad 3)';
$wcag[21] = 'Asegrese de que toda la <em>informacin transmitida a travs del color</em> est tambin disponible sin color. (Prioridad 1)';
$wcag[22] = 'Asegrese de que las <em>combinaciones de color</em> del fondo y del primer plano contrastan lo suficiente cuando son vistas por alguien que tiene una deficiencia de percepcin del color o que utiliza un monitor en blanco y negro. (Prioridad 2 para imgenes, 3 para textos)';
$wcag[31] = 'Utilice <em>marcadores en vez de imgenes</em> para transmitir informacin, si existe un lenguaje de marcado apropiado. (Prioridad 2)';
$wcag[32] = 'Cree documentos que se cian a las <em>gramticas formales</em> publicadas. (Prioridad 2)';
$wcag[33] = 'Use <em>hojas de estilo</em> para controlar la disposicin y la presentacin. (Prioridad 2)';
$wcag[34] = 'Use <em>unidades relativas</em> en vez de absolutas en los valores de los atributos del lenguaje de marcado y en los valores de las propiedades de las hojas de estilo. (Prioridad 2)';
$wcag[35] = 'Use <em>elementos de encabezado</em> para sugerir la estructura del documento y selos siguiendo la especificacin. (Prioridad 2)';
$wcag[36] = 'Marque correctamente las <em>listas y los tem de lista</em>. (Prioridad 2)';
$wcag[37] = '<em>Marque las citas</em>. No use el marcado de citas para efectos de formato tales como la sangra. (Prioridad 2)';
$wcag[41] = 'Identifique claramente los <em>cambios en el lenguaje natural</em> del texto de un documento y de cualquier texto equivalente (por ejemplo, en leyendas y subttulos). (Prioridad 1)';
$wcag[42] = 'Especifique la <em>expansin de cada abreviatura o acrnimo</em> cuando aparezcan por primera vez en el documento. (Prioridad 3)';
$wcag[43] = 'Identifique el <em>lenguaje natural principal</em> de un documento. (Prioridad 3)';
$wcag[51] = 'En las <em>tablas de datos</em>, identifique los <em>encabezados</em> de fila y columna. (Prioridad 1)';
$wcag[52] = 'Para las tablas de datos que tengan <em>dos o ms niveles lgicos de encabezados de fila o columna</em>, utilice marcadores para asociar las celdas de datos con las celdas de encabezado. (Prioridad 1)';
$wcag[53] = '<em>No use tablas para maquetar</em>, a menos que el contenido de la tabla tenga sentido cuando se represente en forma lineal. De lo contrario, si la tabla no se entiende, proporcione un equivalente alternativo (que puede ser una versin lineal del contenido de la tabla). (Prioridad 2)';
$wcag[54] = 'Si utiliza una tabla para maquetar, no utilice <em>ningn marcado estructural para conseguir un efecto visual</em> de formateo. (Prioridad 2)';
$wcag[55] = 'Proporcione <em>resmenes de las tablas</em>. (Prioridad 3)';
$wcag[56] = 'Proporcione <em>abreviaturas</em> para las etiquetas de los <em>encabezamientos</em>. (Prioridad 3)';
$wcag[61] = 'Organice los documentos de forma que puedan ser ledos <em>sin hojas de estilo</em>. Por ejemplo, cuando un documento <acronym title="HyperText Markup Language" lang="en">HTML</acronym> es interpretado sin las hojas de estilo asociadas, debe seguir siendo posible leer el documento. (Prioridad 1)';
$wcag[62] = 'Asegrese de que los <em>equivalentes para el contenido dinmico</em> se actualizan cuando cambia el contenido dinmico. (Prioridad 1)';
$wcag[63] = 'Asegrese de que las pginas pueden seguir siendo usadas cuando los <em>scripts, applets u otros objetos de programacin se desconectan o no son soportados</em>. Si esto no es posible, proporcione informacin equivalente en una pgina alternativa accesible. (Prioridad 1)';
$wcag[64] = 'Para los scripts y applets, asegrese de que la ejecucin de los <em>manejadores de evento sea independiente del tipo de dispositivo</em>. (Este punto incluye el 9.3). (Prioridad 2)';
$wcag[65] = 'Asegrese de que los <em>contenidos dinmicos</em> sean accesibles o proporcione una pgina o presentacin alternativas. (Prioridad 2)';
$wcag[71] = 'Hasta que las aplicaciones de usuario permitan al usuario controlarlo, <em>evite provocar el parpadeo de la pantalla</em>. (Prioridad 1)';
$wcag[72] = 'Hasta que las aplicaciones de usuario permitan al usuario controlar el destello, <em>evite que el contenido destelle</em> (por ejemplo, los cambios en la presentacin a ritmo regular, como si se encendiera y apagase). (Prioridad 2)';
$wcag[73] = 'Hasta que las aplicaciones de usuario permitan congelar el contenido en movimiento, <em>evite el movimiento</em> en las pginas. (Prioridad 2)';
$wcag[74] = 'Hasta que las aplicaciones de usuario proporcionen la posibilidad de detener el <em>refresco</em>, no cree pginas que peridicamente se auto-refresquen. (Prioridad 2)';
$wcag[75] = 'Hasta que las aplicaciones de usuario proporcionen la posibilidad de detener el <em>re-direccionamiento automtico</em>, no utilice marcadores para redirigir las pginas automticamente. En su lugar, configure el servidor llevar a cabo los re-direccionamientos. (Prioridad 2)';
$wcag[81] = 'Cree los elementos de programacin tales como <em>scripts y applets</em> de manera que sean <em>directamente accesibles o compatibles con las ayudas tcnicas</em>. (Prioridad 1 si la funcionalidad es importante y no se present en otra parte; en otro caso, Prioridad 2)';
$wcag[91] = 'Proporcione <em>mapas de imagen controladas por el cliente</em> en vez de por el servidor, excepto cuando las reas no puedan ser definidas con una forma geomtrica. (Prioridad 1)';
$wcag[92] = 'Asegrese de que cualquier elemento que tenga su <em>propia interfaz</em> pueda manejarse de forma independiente del tipo de dispositivo. (Prioridad 2)';
$wcag[93] = 'Para los scripts, especifique <em>manejadores de evento lgicos</em> en vez de manejadores de evento dependientes del dispositivo. (Prioridad 2)';
$wcag[94] = 'Cree un <em>orden lgico de tabulacin</em> a travs de los enlaces, controles de formulario y objetos. (Prioridad 3)';
$wcag[95] = 'Proporcione <em>atajos de teclado</em> para los enlaces importantes (incluyendo los de los mapas de imagen de tipo cliente), controles de formulario y grupos de controles de formulario. (Prioridad 3)';
$wcag[101] = 'Hasta que las aplicaciones de usuario permitan a los usuarios desactivar la <em>generacin de ventanas</em>, no provoque que aparezcan llamadas emergentes u otras ventanas y no cambie el foco de la ventana actual sin informar antes al usuario. (Prioridad 2)';
$wcag[102] = 'Hasta que las aplicaciones de usuario soporten asociaciones explcitas entre las etiquetas y los controles de formulario, para todos los controles de formulario con etiquetas implcitamente asociadas, asegrese de que la <em>etiqueta est colocada adecuadamente</em>. (Prioridad 2)';
$wcag[103] = 'Hasta que las aplicaciones de usuario (incluidas las ayudas tcnicas) interpreten correctamente los textos contiguos, proporcione un <em>texto alternativo lineal</em> (en la misma pgina o en alguna otra) para todas las <em>tablas que presenten el texto en columnas paralelas</em> y desplazan el texto automticamente a la siguiente lnea cuando no cabe en la misma. (Prioridad 3)';
$wcag[104] = 'Hasta que las aplicaciones de usuario manejen correctamente los controles vacos, incluya <em>caracteres por omisin</em> en los campos de edicin y reas de texto. (Prioridad 3)';
$wcag[105] = 'Hasta que las aplicaciones de usuario (incluidas las ayudas tcnicas) representen de forma diferenciada los <em>enlaces adyacentes</em>, incluya caracteres imprimibles no enlazados (rodeados de espacios) entre los enlaces adyacentes. (Prioridad 3)';
$wcag[111] = 'Utilice las <em>tecnologas del <abbr title="World Wide Web Consortium" lang="en">W3C</abbr></em> cuando estn disponibles y <em>sean apropiadas para la tarea</em>, y use las <em>ltimas versiones en cuanto sean soportadas</em>. (Prioridad 2)';
$wcag[112] = 'Evite usar elementos <em>obsoletos</em> de las tecnologas del W3C. (Prioridad 2)';
$wcag[113] = 'Proporcione informacin de manera que los usuarios puedan <em>recibir los documentos segn sus preferencias</em>. Por ejemplo: idioma, tipo de contenido, etc. (Prioridad 3)';
$wcag[114] = 'Si, a pesar de haberse esforzado, no consigue crear una pgina accesible, proporcione un enlace a una <em>pgina alternativa</em> que use las tecnologas del W3C, sea accesible, tenga informacin (o funcionalidad) equivalente y sea actualizada tan a menudo como la pgina (original) inaccesible. (Prioridad 1)';
$wcag[121] = '<em>Titule cada marco</em> para facilitar la identificacin del marco y la navegacin entre ellos. (Prioridad 1)';
$wcag[122] = 'Describa el <em>propsito de los marcos</em> y cmo se relacionan entre s, si no resulta obvio slo con los ttulos de marco. (Prioridad 2)';
$wcag[123] = '<em>Divida los bloques de informacin</em> largos en grupos ms manejables cuando resulte natural y apropiado. (Prioridad 2)';
$wcag[124] = 'Asocie <em>etiquetas explcitamente</em> con sus controles. (Prioridad 2)';
$wcag[131] = 'Identifique claramente el <em>objetivo de cada enlace</em>. (Prioridad 2)';
$wcag[132] = 'Proporcione <em>metadatos</em> para aadir informacin semntica a las pginas y los sitios. (Prioridad 2)';
$wcag[133] = 'Proporcione <em>informacin sobre la maquetacin</em> general de un sitio (por ejemplo, un mapa del sitio o tabla de contenidos). (Prioridad 2)';
$wcag[134] = 'Utilice <em>mecanismos de navegacin</em> de manera <em>consistente</em>. (Prioridad 2)';
$wcag[135] = 'Proporcione <em>barras de navegacin</em> para resaltar y dar acceso al mecanismo de navegacin. (Prioridad 3)';
$wcag[136] = '<em>Agrupe los enlaces relacionados</em>, identificando el grupo (para las aplicaciones de usuario) y, hasta que las aplicaciones de usuario lo hagan, proporcione una <em>manera de saltarse el grupo</em>. (Prioridad 3)';
$wcag[137] = 'Si proporciona <em>funciones de bsqueda</em>, facilite diferentes tipos de bsquedas para diversos niveles de habilidad y preferencias. (Prioridad 3)';
$wcag[138] = 'Coloque <em>informacin distintiva al comienzo</em> de encabezados, prrafos, listas, etc. (Prioridad 3)';
$wcag[139] = 'Proporcione informacin sobre las <em>colecciones de documentos</em> (por ejemplo, los documentos que comprendan mltiples pginas). (Prioridad 3)';
$wcag[1310] = 'Proporcione un medio para <em>saltar sobre un "ASCII art"</em> que ocupa varias lneas. (Prioridad 3)';
$wcag[141] = 'Utilice el <em>lenguaje ms claro y sencillo</em> que sea apropiado para el contenido de un sitio. (Prioridad 1)';
$wcag[142] = '<em>Complemente el texto con presentaciones grficas o sonoras</em> cuando ello facilite la comprensin de la pgina. (Prioridad 3)';
$wcag[143] = 'Cree un estilo de <em>presentacin que sea consistente</em> en todas las pginas. (Prioridad 3)';
?>
